Package org.silverpeas.components.scheduleevent.servlets.handlers

## Class ScheduleEventTimeNextRequestHandler

- java.lang.Object
- - org.silverpeas.components.scheduleevent.servlets.handlers.ScheduleEventTimeNextRequestHandler

- All Implemented Interfaces:
    `ScheduleEventRequestHandler`

      public class ScheduleEventTimeNextRequestHandler
      extends Object
      implements ScheduleEventRequestHandler

- - ### Field Summary

    - ### Fields inherited from interface org.silverpeas.components.scheduleevent.servlets.handlers.ScheduleEventRequestHandler

      `CURRENT_SCHEDULE_EVENT, FORMATTER_TMP_ID, LAST_DATE, LIST_SCHEDULE_EVENT, SCHEDULE_EVENT_DETAIL`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ScheduleEventTimeNextRequestHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getDestination​(String function, ScheduleEventSessionController scheduleeventSC, javax.servlet.http.HttpServletRequest request)` |
    `void` | `setFirstStepRequestHandler​(ScheduleEventRequestHandler forwardRequestHandler)` |
    `void` | `setForwardRequestHandler​(ScheduleEventRequestHandler forwardRequestHandler)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScheduleEventTimeNextRequestHandler

          public ScheduleEventTimeNextRequestHandler()

  - ### Method Detail

    - #### setFirstStepRequestHandler

          public void setFirstStepRequestHandler​(ScheduleEventRequestHandler forwardRequestHandler)

    - #### setForwardRequestHandler

          public void setForwardRequestHandler​(ScheduleEventRequestHandler forwardRequestHandler)

    - #### getDestination

          public String getDestination​(String function,
                                       ScheduleEventSessionController scheduleeventSC,
                                       javax.servlet.http.HttpServletRequest request)
                                throws Exception

      Specified by:
        `getDestination` in interface `ScheduleEventRequestHandler`
      Throws:
        `Exception`